## mpage 2.5

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # 	  	of output appear on one sheet of paper.
 #
 # Copyright (c) 1988 Mark P. Hahn, Herndon, Virginia
-# Copyright (c) 1994-1996 Marcel J.E. Mol, Rijswijk, The Netherlands
+# Copyright (c) 1994-1997 Marcel J.E. Mol, The Netherlands
 #                    marcel@mesa.nl
 #     
 # Written by:
@@ -20,17 +20,23 @@
 #
 #  
 #     Marcel Mol                     MESA Consulting
-#     Karel Doormanlaan 58           P.o. box 9
-#     2283 AT Rijswijk               2270 AA Voorburg
+#     Hogeveenseweg 12               P.o. box 9
+#     2631 PH Nootdorp               2270 AA Voorburg
 #     The Netherlands                The Netherlands
-#     phone: 070-3361515             phone: +31-6-54724868
+#     phone: 015-3101310             phone: +31-6-54724868
 #     marcel@mesa.nl                 info@mesa.nl
 #  
 
 # Set this to an ANSI compatible C compiler (preferably gcc)
+# See also system specific settings below
 #CC=cc
 CC=gcc
 
+############################################################################
+#
+#  MPAGE Configuration
+#
+############################################################################
 
 #
 # Define your favorite page size:
@@ -38,6 +44,7 @@
 #          PAGE_LEGAL for legal
 #          PAGE_A4 for European A4
 #
+# PAGESIZE=PAGE_LETTER
 PAGESIZE=PAGE_A4
 
 #
@@ -53,24 +60,12 @@
 LIBDIR=$(PREFIX)/lib
 MANDIR=$(PREFIX)/man/man1
 
-
-# Unix extensions
-E = 
-O = .o
-# OS/2 and MSDOS extensions
-# E = .exe
-# O = .obj
-# pattern rules (OS/2)
-# %$(O): %.c
-#       $(CC) $(CFLAGS) -c -o $@ $<
-
 #
 # A default encoding is given in encoding.h. Setting ENCODING=1 will
 # activate this encoding by default. 0 switches default off.
 # The -C option (without subargument) can be used to switch.
 #
 ENCODING=1
-
 
 #
 # Set the default sheet margin in 1/72 inches. 
@@ -80,7 +75,39 @@
 
 DEFS = -DPAGE_DEF=${PAGESIZE} -DLIBDIR=\"${LIBDIR}/mpage\" -DDEFAULT_ENCODING=${ENCODING} -DDEFAULTSMARGIN=${SHEETMARGIN} -DSPOOLER=${SPOOL_TYPE}
 
-# Choose one of the following CFLAGS definitions:
+############################################################################
+#
+#  OPERATING SYSTEM SETUP
+#
+############################################################################
+
+# Unix extensions
+E = 
+O = .o
+DEF_FILE =
+
+# OS/2:
+# CFLAGS = -O2 -s -DOS2 $(DEFS) -Wall
+# LIBS   = -Zomf -Zcrtdll
+# DEF_FILE = mpage.defM
+
+# E = .exe
+# O = .o
+# pattern rules (OS/2)
+# %$(O): %.c
+#	$(CC) $(CFLAGS) -c -o $@ $<
+
+# MSDOS extensions
+# E = .exe
+# O = .obj
+
+############################################################################
+#
+#  UNIXEN SPECIFICS
+#
+############################################################################
+
+# Choose one of the following CFLAGS/CC definitions:
 # If you are using gcc, you probably don't need to change anything here.
 
 # Linux:
@@ -99,6 +126,10 @@
 # HP-UX A.09.01 A 9000/735 (standard cc)
 #CFLAGS = -Aa +O3 -s $(DEFS) -D_INCLUDE_POSIX_SOURCE -Wall
 
+# BeOS
+#CFLAGS= -O2 $(DEFS)
+
+############################################################################
 #
 # END OF CONFIGURATION OPTIONS
 #
@@ -115,10 +146,10 @@
 	@echo Done!
 
 mpage$(E):	$(MOBJ)
-	$(CC) $(CFLAGS) -o mpage$(E) $(MOBJ) ${LIBS}
+	$(CC) $(CFLAGS) -o mpage$(E) $(MOBJ) $(LIBS) $(DEF_FILE)
 
 msample$(E):	$(SOBJ)
-	$(CC) $(CFLAGS) -o msample$(E) $(SOBJ)
+	$(CC) $(CFLAGS) -o msample$(E) $(SOBJ) $(LIBS) $(DEF_FILE)
 
 clean:
 	rm -rf $(MOBJ) mpage$(E) mpage.ps $(SOBJ) msample$(E) make.log core
