## mpage 2.5.1pre

=== Makefile ===
--- 
+++ 
@@ -40,12 +40,13 @@
 
 #
 # Define your favorite page size:
-#          PAGE_LETTER for US letter
-#          PAGE_LEGAL for legal
-#          PAGE_A4 for European A4
+#          Letter for US letter
+#          Legal for legal
+#          A4 for European A4
+#  See glob.c for all possibilities
 #
-# PAGESIZE=PAGE_LETTER
-PAGESIZE=PAGE_A4
+# PAGESIZE=Letter
+PAGESIZE=A4
 
 #
 # Define your spooler type
@@ -73,7 +74,8 @@
 SHEETMARGIN=20 
 
 
-DEFS = -DPAGE_DEF=${PAGESIZE} -DLIBDIR=\"${LIBDIR}/mpage\" -DDEFAULT_ENCODING=${ENCODING} -DDEFAULTSMARGIN=${SHEETMARGIN} -DSPOOLER=${SPOOL_TYPE}
+DEFS = -DPAGE_DEF=\"${PAGESIZE}\" -DLIBDIR=\"${LIBDIR}/mpage\" -DDEFAULT_ENCODING=${ENCODING} -DDEFAULTSMARGIN=${SHEETMARGIN} -DSPOOLER=${SPOOL_TYPE}
+
 
 ############################################################################
 #
@@ -84,18 +86,13 @@
 # Unix extensions
 E = 
 O = .o
-DEF_FILE =
 
 # OS/2:
-# CFLAGS = -O2 -s -DOS2 $(DEFS) -Wall
-# LIBS   = -Zomf -Zcrtdll
+# CFLAGS = -O2 $(DEFS) -Wall
+# LIBS   = -Zcrtdll -s
 # DEF_FILE = mpage.defM
-
 # E = .exe
 # O = .o
-# pattern rules (OS/2)
-# %$(O): %.c
-#	$(CC) $(CFLAGS) -c -o $@ $<
 
 # MSDOS extensions
 # E = .exe
@@ -134,6 +131,10 @@
 # END OF CONFIGURATION OPTIONS
 #
 
+# pattern rules. Should we define these?
+%$(O): %.c
+	$(CC) $(CFLAGS) -c -o $@ $<
+
 
 HEAD =  mpage.h
 DENC =  encoding.h
@@ -146,10 +147,10 @@
 	@echo Done!
 
 mpage$(E):	$(MOBJ)
-	$(CC) $(CFLAGS) -o mpage$(E) $(MOBJ) $(LIBS) $(DEF_FILE)
+	$(CC) $(CFLAGS) -o mpage$(E) $(MOBJ) $(LIBS)
 
 msample$(E):	$(SOBJ)
-	$(CC) $(CFLAGS) -o msample$(E) $(SOBJ) $(LIBS) $(DEF_FILE)
+	$(CC) $(CFLAGS) -o msample$(E) $(SOBJ) $(LIBS)
 
 clean:
 	rm -rf $(MOBJ) mpage$(E) mpage.ps $(SOBJ) msample$(E) make.log core
@@ -171,7 +172,10 @@
 # add your proper install stuff
 #
 install:
+	if [ ! -d $(LIBDIR)/mpage ] ; then mkdir -p $(LIBDIR)/mpage ; fi
+	if [ ! -d $(BINDIR) ] ; then mkdir -p $(BINDIR) ; fi
+	if [ ! -d $(MANDIR) ] ; then mkdir -p $(MANDIR) ; fi
 	cp mpage$(E) $(BINDIR)
 	cp mpage.1 $(MANDIR)
-	if [ ! -d $(LIBDIR)/mpage ] ; then mkdir $(LIBDIR)/mpage ; fi
 	-cp Encodings/* $(LIBDIR)/mpage
+	-chmod 644 $(LIBDIR)/mpage/*
