## mpage 2.5.3

=== Makefile ===
--- 
+++ 
@@ -2,29 +2,23 @@
 # mpage:	A program to reduce pages of print so that several pages
 # 	  	of output appear on one sheet of paper.
 #
+# Copyright (c) 1994-1999 Marcel J.E. Mol, The Netherlands
 # Copyright (c) 1988 Mark P. Hahn, Herndon, Virginia
-# Copyright (c) 1994-1997 Marcel J.E. Mol, The Netherlands
-#                    marcel@mesa.nl
 #     
-# Written by:
-#   ...!uunet!\                       Mark Hahn, Sr Systems Engineer
-#              >pyrdc!mark            Pyramid Technology Corporation
-# ...!pyramid!/                       Vienna, Va    (703)848-2050
-#
-#
 #     Permission is granted to anyone to make or distribute verbatim
 #     copies of this document as received, in any medium, provided
 #     that this copyright notice is preserved, and that the
 #     distributor grants the recipient permission for further
 #     redistribution as permitted by this notice.
 #
-#  
 #     Marcel Mol                     MESA Consulting
-#     Hogeveenseweg 12               P.o. box 9
-#     2631 PH Nootdorp               2270 AA Voorburg
-#     The Netherlands                The Netherlands
-#     phone: 015-3101310             phone: +31-6-54724868
+#                                    P.o. box 112
+#                                    2630 AC Nootdorp
+#                                    The Netherlands
+#                                    phone: +31-6-54724868
 #     marcel@mesa.nl                 info@mesa.nl
+#                                    http://www.mesa.nl/pub/mpage
+#                                    ftp://ftp.mesa.nl/pub/mpage
 #  
 
 # Set this to an ANSI compatible C compiler (preferably gcc)
@@ -57,8 +51,9 @@
 
 # PREFIX=e:/usr		# OS/2 type
 PREFIX=/usr/local
+#PREFIX=/usr
 BINDIR=$(PREFIX)/bin
-LIBDIR=$(PREFIX)/lib
+LIBDIR=$(PREFIX)/share
 MANDIR=$(PREFIX)/man/man1
 
 #
@@ -71,10 +66,14 @@
 #
 # Set the default sheet margin in 1/72 inches. 
 #
-SHEETMARGIN=20 
+SHEETMARGIN=18 
 
+#
+# Set intial duplex mode
+#
+DEFAULT_DUPLEX=0
 
-DEFS = -DPAGE_DEF=\"${PAGESIZE}\" -DLIBDIR=\"${LIBDIR}/mpage\" -DDEFAULT_ENCODING=${ENCODING} -DDEFAULTSMARGIN=${SHEETMARGIN} -DSPOOLER=${SPOOL_TYPE}
+DEFS = -DPAGE_DEF=\"${PAGESIZE}\" -DLIBDIR=\"${LIBDIR}/mpage\" -DDEFAULT_ENCODING=${ENCODING} -DDEFAULT_DUPLEX=${DEFAULT_DUPLEX} -DDEFAULTSMARGIN=${SHEETMARGIN} -DSPOOLER=${SPOOL_TYPE} # -DKANJI
 
 
 ############################################################################
@@ -138,12 +137,12 @@
 
 HEAD =  mpage.h
 DENC =  encoding.h
-SRCS =  mpage.c glob.c text.c post.c file.c page.c args.c
-MOBJ =  mpage$(O) glob$(O) text$(O) post$(O) file$(O) page$(O) args$(O)
+SRCS =  mpage.c glob.c text.c post.c file.c page.c args.c util.c
+MOBJ =  mpage$(O) glob$(O) text$(O) post$(O) file$(O) page$(O) args$(O) util$(O)
 SMPL =  sample.c page.c glob.c args.c
 SOBJ =  sample$(O) page$(O) glob$(O) args$(O)
 
-default:	mpage$(E) msample$(E)
+default:	mpage$(E) msample$(E) mpage.1
 	@echo Done!
 
 mpage$(E):	$(MOBJ)
@@ -152,8 +151,10 @@
 msample$(E):	$(SOBJ)
 	$(CC) $(CFLAGS) -o msample$(E) $(SOBJ) $(LIBS)
 
+mpage.1: mpage.1.in
+	sed 's:PREFIX:${PREFIX}:' < mpage.1.in > mpage.1
 clean:
-	rm -rf $(MOBJ) mpage$(E) mpage.ps $(SOBJ) msample$(E) make.log core
+	rm -rf $(MOBJ) mpage$(E) mpage.ps $(SOBJ) msample$(E) mpage.1 make.log core
 
 mpage$(O):	$(HEAD) $(DENC) mpage.c
 glob$(O):	$(HEAD) glob.c
@@ -162,6 +163,7 @@
 file$(O):	$(HEAD) file.c
 page$(O):	$(HEAD) page.c
 args$(O):	$(HEAD) args.c
+util$(O):	$(HEAD) util.c
 sample$(O):	$(HEAD) sample.c
 
 mpage.ps:	mpage.1
