## mpage 2.5.6%2Bdfsg

=== debian/changelog ===
mpage (2.5.6+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Added the 'dfsg' suffix.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/README.source: created to explain about the dfsg action.
  * debian/watch: added a mangle rule to handle the '+dfsg' suffix.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 18 Oct 2015 23:15:20 -0200

mpage (2.5.6-3) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - DH level to 9.
      - debian/rules to new (reduced) format.
  * debian/control:
      - Added the ${misc:Depends} variable to Depends field.
      - Removed unnecessary dependency quilt from Build-Depends field.
  * debian/dirs: added to create a necessary dir.
  * debian/docs: added to install some upstream docs.
  * debian/install: added to install some files from upstream.
  * debian/manpages: added to install the manpages.
  * debian/patches/:
      - Added headers to all patches.
      - Added the '.patch' extension to all patches.
      - Created 40_add_GCC_hardening.patch to add GCC hardening.
      - Updated 01_previous_changes.patch to use a new value for LIBDIR.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 18 Oct 2015 21:40:15 -0200

mpage (2.5.6-2) unstable; urgency=medium

  * QA upload.
  * Updated DebSrc to 3.0 format.
  * debian/control:
      - Added the Homepage field.
      - Bumped Standards-Version to 3.9.6.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 28 Aug 2015 09:54:51 -0300

mpage (2.5.6-1) unstable; urgency=low

  * QA upload
  * New upstream release; Closes: #471774
    - correctly handle '-t' option; thanks to Enrique Robledo Arnuncio for
      the report; Closes: #333936
  * debian/patches/01_previous_changes
    - added to remove direct source code changes
  * debian/control
    - set QA Group as maintainer
    - added quilt to build-dep
    - bump Standards-Version to 3.8.0
    - replaced suggests on gs with ghostscript (lintian warning)
    - versioned build-dep on debhelper
  * debian/compat
    - created with 5 value in it
  * debian/rules
    - removed DH_COMPAT
    - commented DH_VERBOSE
    - added quilt stuff
    - doesn't ignore clean error
    - added manpage installation
    - called make with $(MAKE) passing LIBDIR; Closes: #443280
  * debian/watch
    - added
  * debian/patches/10_bts354935_fix_fontdefs
    - fixed font definition; thanks to Simon Bowden for the patch;
      Closes: #354935
  * debian/patches/20_bts416573_manpage_fixes
    - fixed many typos and errors in the manpage; thanks to J S Bygott for the
      patch; Closes: #416573
  * debian/patches/30_bts443280_libdir_manpage
    - added to fix manpage for BTS Bug #443280

 -- Sandro Tosi <matrixhasu@gmail.com>  Tue, 12 Aug 2008 19:45:12 +0200

mpage (2.5.4-2) unstable; urgency=low

  * use /tmp not /usr/tmp for temporary files! (closes: #327293)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 13 Sep 2005 20:36:21 +0100

mpage (2.5.4-1) unstable; urgency=low

  * new upstream (closes: #306551)
  * added Greek encodings - thanks to Vassilis Virvilis (closes: #277544)

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 29 Aug 2005 14:51:07 +0100

mpage (2.5.3-2) unstable; urgency=low

  * patch from Andreas Jochens to fix compilation error with gcc-4.0
    (closes: #300269)

 -- Adrian Bridgett <bridgett@debian.org>  Sat, 19 Mar 2005 11:03:05 +0000

mpage (2.5.3-1) unstable; urgency=low

  * new upstream (closes: #152047, #171330)
  * now depends on libpaper1 not libpaperg (closes: #169484, #174893)
  * NB: old EPS fix dropped. source code has changed significantly and
    now appears to do this.

 -- Adrian Bridgett <bridgett@debian.org>  Sat,  4 Jan 2003 20:05:02 +0000

mpage (2.5.1pre-6) unstable; urgency=low

  * decided that the new libpaper might not fix it so we'll play safe
    and check the return of systempapername()
  
 -- Adrian Bridgett <bridgett@debian.org>  Sat, 24 Mar 2001 12:29:11 +0000

mpage (2.5.1pre-5) unstable; urgency=low

  * recompile to get new libpaperg shlibs that will then make mpage depend
    on the libpaper that stopped systempapername returning NULL (closes:
    #89924)

 -- Adrian Bridgett <bridgett@debian.org>  Sat, 24 Mar 2001 12:10:31 +0000

mpage (2.5.1pre-4) unstable; urgency=low

  * fix Build-Depends (closes: #83847)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  4 Feb 2001 18:37:27 +0000

mpage (2.5.1pre-3) unstable; urgency=low

  * many patches from Andrea Mennucci <mennucci@Tonelli.sns.it>:
     - skips an EPS files included in a postscript file,
       without mangling it (this happened if %%Page is present in
       the EPS file; eg., when a postscript produced by xfig is included
       in a latex file). This fix obsoletes the -k option.
     - -t/-T options (duplex/tumble) improved to better deal with strange
       printer defaults you may meet.
     - docs in /usr/share/doc.
		    
 -- Adrian Bridgett <bridgett@debian.org>  Mon, 10 Apr 2000 20:40:01 +0100

mpage (2.5.1pre-2) unstable; urgency=low

  * put Paul's changes in maintainer release (closes 27232)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  4 Oct 1998 20:05:10 +0100

mpage (2.5.1pre-1.1) unstable; urgency=low

  * non-maintainer (binary-only) upload for Alpha
  * make install target tried to mkdir /usr/lib/mpage if it didn't exist.
    It didn't.

 -- Paul Slootman <paul@debian.org>  Tue, 29 Sep 1998 21:22:52 +0200

mpage (2.5.1pre-1) unstable; urgency=low

  * new upstream release

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Tue,  1 Sep 1998 23:03:07 +0100

mpage (2.5-6) unstable frozen; urgency=low

  * make mp and psprint executable

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Sun, 22 Mar 1998 18:09:52 +0000

mpage (2.5-5) unstable; urgency=low

  * fix psprint example script 

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Mon,  9 Mar 1998 20:13:51 +0000

mpage (2.5-4) unstable; urgency=low

  * removed du file


