## mpage 2.5.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # mpage:	A program to reduce pages of print so that several pages
 # 	  	of output appear on one sheet of paper.
 #
-# Copyright (c) 1994-1999 Marcel J.E. Mol, The Netherlands
+# Copyright (c) 1994-2004 Marcel J.E. Mol, The Netherlands
 # Copyright (c) 1988 Mark P. Hahn, Herndon, Virginia
 #     
 #     Permission is granted to anyone to make or distribute verbatim
@@ -125,6 +125,10 @@
 # BeOS
 #CFLAGS= -O2 $(DEFS)
 
+# OS X (10.2.2):
+#CFLAGS = -O2  $(DEFS) -Wall
+
+
 ############################################################################
 #
 # END OF CONFIGURATION OPTIONS
