=== debian/control ===
Source: mpage
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libpaper-dev (>=1.0.4)
Standards-Version: 3.9.6
Homepage: http://www.mesa.nl

Package: mpage
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ghostscript
Description: print multiple pages per sheet on PostScript printer
 Mpage reads plain text files or PostScript documents and prints them
 on a PostScript printer with the text reduced in size so that several
 pages appear on one sheet of paper. This is useful for viewing large
 printouts on a small amount of paper. Uses ISO 8859.1 to print 8-bit
 characters.
