=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	chmod 0755 $(CURDIR)/debian/mpage/usr/share/doc/mpage/Contrib/mp \
                   $(CURDIR)/debian/mpage/usr/share/doc/mpage/Contrib/psprint
