=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
http://www.mesa.nl/pub/mpage/mpage-(\d\S+)\.(?:tgz|tar\.(?:bz2|gz|xz))

opts=dversionmangle=s/\+dfsg// \
http://www.mesa.nl/download.html /pub/mpage/mpage-(\d\S+)\.(?:tgz|tar\.(?:bz2|gz|xz))
